# combine ggplots (requiers gridExtra)

# WARNING! RUN "Rscript_fitness_proxy.R" and  "Rscript_GV_mean_error_plot.R"
# first

library(ggplot2)
library(gridExtra)

custom_margin <- c(0.2,4,0.2,0.2)

## CUSTOM PLOT PARAMETERS

# size of the text s
s_axis = 14
s_axis_lab = 14
s_title = 14

# size of the text s
s_lg = 14 # legend text size
s_axis = 14
s_axis_lab = 18
s_title = 18

# size of the line
sl <- 1

# manual fill
myfill <- c("blue", "lightblue"	# adaptive, sinusoidal
		,"green", "lightgreen"	# linear, genetic determinism
		)

# color palette
myPal <- "Paired"

myPal <- c("darkgray"			# fixed phenotypes
		,"black" 			# genetic determinism
		,"deepskyblue", "deepskyblue" # perfect, linear05
		,"black" 			# random
		,"seagreen4", "seagreen4"  # saturating, sinusoidal
		)

# line type
my_line_type = c("dotted"		# fixed phenotypes
		     ,"solid"		# genetic determinism
		     ,"solid", "dotted" # perfect, line05	
		     ,"dotted"		# random
		     ,"solid", "dotted"	# saturating, sinusoidal
		     )

####  END OF CUSTOM PLOT PARAMETERS

plot1 <- ggplot( data = fit
	, aes( x = x, y = y, group = type, 
		color = type, linetype = type) ) +
	geom_line(size = sl) +
	#scale_color_brewer(palette = myPal) +
	scale_linetype_manual(values = my_line_type) +
	scale_color_manual(
				#breaks = levels(as.factor(fit$type)),
				values = myPal
				) +
	ylim(0, 1) +
	theme_minimal() +
	theme(panel.border = element_blank()
		,panel.grid.major = element_blank()
		,panel.grid.minor = element_blank()) +
	theme(legend.position = c(0.70, 0.30)#"right"
	,legend.title = element_blank()
	,legend.text = element_text(size = s_lg)
	,axis.text = element_text(size = s_axis, color = "black")
	,axis.title = element_text(size = s_axis_lab)
	,plot.title = element_text(size = s_title, hjust = 0.5, face = "bold")
	) +
	theme(axis.line = element_line(colour = "black"
		, size = 0.5
		, linetype = "solid")
		,axis.ticks = element_line(colour = "black")
	) +
	theme(plot.margin = unit(custom_margin, "lines")) +
	xlab("time in generations") +
	ylab("degree of adaptation") +
	ggtitle("Degree of adaptation")

plot2 <- ggplot(data=df, 
	 aes(x=x, y=y 
	    ,ymin= y - se, ymax= y + se
	    ,fill=type, linetype=type)) + 
 	 geom_line() +
	 scale_fill_manual(values = myfill) +
	 ylim(0, 0.25)  +
 	 geom_ribbon(alpha=0.5) +
	 theme_minimal() + 
	 theme(panel.border = element_blank()
		,panel.grid.major = element_blank()
		,panel.grid.minor = element_blank()) +
	 theme(legend.position = c(0.70, 0.20)#"right" 
	,legend.title = element_blank()
	,legend.text = element_text(size = s_lg)
	,axis.text = element_text(size = s_axis, color = "black")
	,axis.title = element_text(size = s_axis_lab)
	,plot.title = element_text(size = s_title, hjust = 0.5, face = "bold")
	) +
	theme(axis.line = element_line(colour = "black"
		, size = 0.5
		, linetype = "solid")
		,axis.ticks = element_line(colour = "black")
	) +
	theme(plot.margin = unit(custom_margin, "lines")) +
 	 xlab("time in generations") + 
	 ylab("genetic variance") +
	 ggtitle("Genetic variance")


grid.arrange(plot1, plot2, ncol = 2)