######## 	PHENOTYPIC VS GENETIC VARIANCE 	#########

#dev.off()

# read data
# phenotypic genotypic variance
line <- read.csv("linear_PVGV.csv", header = TRUE)
sin <- read.csv("sinusoidal_PVGV.csv", header = TRUE)
log <- read.csv("logistic_PVGV.csv", header = TRUE)

# fitness
fitness_line <- read.csv("linear_fitness.csv", header = TRUE)
fitness_sin <- read.csv("sinusoidal_fitness.csv", header = TRUE)
fitness_log <- read.csv("logistic_fitness.csv", header = TRUE)

#bind data into one df
line <- cbind(line, fitness_line$fitness)
sin <- cbind(sin, fitness_sin$fitness)
log <- cbind(log, fitness_log$fitness)

#length(names(df))
names(line)[9] <- "fitness"
names(sin)[9] <- "fitness"
names(log)[9] <- "fitness"


par(mfrow = c(2,3), oma = c(0, 0, 2, 0))

df <- list(line, sin, log)

main.size = 1.8
lwd.size = 2.2
lty.size = 1
legend.names.size = 1.8
axis.size = 1.8
axis.lab = 2.2

# main names of plots
main.names = c("Linear RN (slope = 0.5)", 
		   "Adaptive sinusoidal", 
		   "Adaptive saturating")

j = 1
for (i in 1:6)
{

if ( i <= 3)
{

	y <- df[[j]]$phenotype
	y2 <- df[[j]]$genotype

	
	plot(y, las = 1, type = "l", lwd = lwd.size, lty = lty.size,
		ylim = c(0,1),
		ylab = "",
		xlab = "",
		cex.main = main.size,
		main = main.names[j], #font = 1,
		xaxt = "n",
		col = "grey",
		cex.axis = axis.size, cex.lab = axis.lab
   		)

	lines(y2, lwd = lwd.size, lty = lty.size, col = "black")

#legend

if(i == 3)
{
	legend("topright", legend = c("genotypic variance", 
					"phenotypic variance"),
	 	col = c("black", "grey"),
		 lty = 1, lwd = lwd.size,
	 	cex = legend.names.size,
	 	box.lty = 0
    		  )

	
}

j = j + 1

} else
{
######## 	DEGREE OF LOCAL ADAPTATION 	#########

	if (i == 4){ j = 1 }

	if (i == 5 ) 
	{ 
		#main.title = 
		
	} else 
	{ 
		main.title = ""
		#par(bg = "grey")#alpha("grey", 0.5)) 
	}

	
	y <- df[[j]]$fitness
	
	plot(y, las = 1, type = "l", lwd = lwd.size, lty = lty.size,
		ylim = c(0,1),
		ylab = "",
		xlab = "time in generations",
		cex.main = main.size,
		#main = main.title,
		cex.axis = axis.size, cex.lab = axis.lab

   		 )
	j = j + 1

}

}

# add main titles

mtext("Genotypic and phenotypic variances", 
			outer = TRUE, cex = 1.5, font = 2)

mtext("Degree of adaptation (fitness proxy)", 
			outer = TRUE, cex = 1.5, line = -30, font = 2)